Skip to main content
PUT
/
namespaces
/
{namespace}
/
servers
/
{server}
JavaScript
import Smithery from '@smithery/api';

const client = new Smithery({
  apiKey: process.env['SMITHERY_API_KEY'], // This is the default and can be omitted
});

const server = await client.namespaces.servers.create('xxx', { namespace: 'namespace' });

console.log(server.createdAt);
{
  "namespace": "myorg",
  "server": "my-server",
  "displayName": "My Server",
  "description": "A simple server",
  "createdAt": "2024-01-01T00:00:00.000Z"
}

Documentation Index

Fetch the complete documentation index at: https://smithery.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Smithery API key as Bearer token

Path Parameters

server
string
required
Required string length: 3 - 39
namespace
string
required

Body

application/json
displayName
string
Example:

"My Server"

description
string
Example:

"A simple server"

Response

Server created successfully

namespace
string
required
Example:

"myorg"

server
string
required
Example:

"my-server"

displayName
string
required
Example:

"My Server"

description
string
required
Example:

"A simple server"

createdAt
string
required
Example:

"2024-01-01T00:00:00.000Z"